Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::RadioMenuItemSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::RadioMenuItem. More...

`#include <xfc/gtk/radiomenuitemsignals.hh>`

Inheritance diagram for Xfc::Gtk::RadioMenuItemSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_group_changed ()
    Called when the group of radio menu items that a radio menu item belongs to changes.

## Protected Member Functions

Constructors

- RadioMenuItemSignals (RadioMenuItem *radio_menu_item)
    Constructs a new RadioMenuItemSignals object.
- virtual ~RadioMenuItemSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::RadioMenuItem.

## Constructor & Destructor Documentation

Xfc::Gtk::RadioMenuItemSignals::RadioMenuItemSignals | ( | RadioMenuItem * | radio_menu_item | ) | `[protected]`

Constructs a new RadioMenuItemSignals object.

Parameters:

  | radio_menu_item | A RadioMenuItem object inheriting the RadioMenuItemSignals implementation.

## Member Function Documentation

virtual void Xfc::Gtk::RadioMenuItemSignals::on_group_changed | ( |  | ) | `[virtual]`

| Called when the group of radio menu items that a radio menu item belongs to changes. This handler is called when a radio menu item switches from being alone to being part of a group of 2 or more menu items, or vice-versa, and when a button is moved from one group of 2 or more menu items to a different one, but not when the composition of the group that a menu item belongs to changes.

The documentation for this class was generated from the following file:

- radiomenuitemsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3